/**
* Copyright(c) 2013 S2Tek Technologies - All Rights Reserved.
*
* @file 
*
* @brief 
*/

#ifndef __AL_UTIL_H__
#define __AL_UTIL_H__

#ifdef __cplusplus
	extern "C"{
#endif

typedef enum AL_LEDCommand {
	LED_OFF=0x0,//: turn off All LED light
	LED_ON=0xF,
	LED_NORMAL=0x10,
	LED_SECOND=0x20,
	LED_NORMAL_ON=0x11,//:turn on Normal LED light //Normal default define to Green
	LED_NORMAL_OFF=0x10,//:turn off Normal LED light
	LED_SECOND_ON=0x22,//:turn on Second LED light //Second default define to Red
	LED_SECOND_OFF=0x20,//:turn off Second LED light
}AL_LED_CMD_t;


INT8 AL_GPIO_READ(UINT8 index, UINT8 *pValue);
INT8 AL_i2c_Read(UINT8 deviceID, UINT8 addr, UINT8 *pValue);
INT8 AL_i2c_Write(UINT8 deviceID, UINT8 addr, UINT8 value);
INT8 AL_gpio_WriteOnLevel(UINT8 PinNum);
INT8 AL_gpio_WriteOffLevel(UINT8 PinNum);
INT8 AL_SET_LED_Flash_Status(AL_LED_CMD_t LEDcmd);


#ifdef __cplusplus
}
#endif
#endif
